
jQuery(function ($) {
   "use strict";
   var $window = $(window);
   var windowsize = $(window).width();
   var $root = $("html, body");
   var $this = $(this);
   //Contact Us


   /* ----- Back to Top ----- */
   $("body").append('<a href="#" class="back-top"><i class="fa fa-angle-up"></i></a>');
   var amountScrolled = 700;
   var backBtn = $("a.back-top");
   $window.on("scroll", function () {
      if ($window.scrollTop() > amountScrolled) {
         backBtn.addClass("back-top-visible");
      } else {
         backBtn.removeClass("back-top-visible");
      }
   });
   backBtn.on("click", function () {
      $root.animate({
         scrollTop: 0
      }, 700);
      return false;
   });

   if($(".just-sidemenu").length){
      var anchor_point = $(".rotating-words").height();
      var side_toggle = $(".just-sidemenu #sidemenu_toggle");
      side_toggle.addClass("toggle_white");
      $window.on("scroll", function () {
      if ($window.scrollTop() >= anchor_point) {
         side_toggle.removeClass("toggle_white");
      } else {
         side_toggle.addClass("toggle_white");
      }
   });
   }

   /* ------- Smooth scroll ------- */
   $("a.pagescroll, .nav-link").on("click", function (event) {
      event.preventDefault();
      $("html,body").animate({
         scrollTop: $(this.hash).offset().top
      }, 1000);
   }); 
   
   /*------ MENU Fixed ------*/
   $(window).scroll(function() {
      var scroll = $(window).scrollTop();

      if (scroll >= 75) {
          $(".normal-header").addClass("fixHeader");
      } else {
          $(".normal-header").removeClass("fixHeader");
      }
  });

   /* --------Equal Heights -------- */
   checheight();
   $window.on("resize", function () {
      checheight();
   });
   function checheight() {
      var $smae_height = $(".equalheight");
      if ($smae_height.length) {
         if (windowsize > 767) {
            $smae_height.matchHeight({
               property: "height",
            });
         }
      }
   }
   /* ------ OWL Slider ------ */

   $("#partners-slider11").owlCarousel({
      items: 5,
      autoplay: 1500,
      smartSpeed: 2500,
      autoplayHoverPause: true,
      slideBy: 1,
      loop: true,
      margin: 30,
      dots: false,
      nav: true,
      responsive: {
         1200: {
            items: 5,
         },
         900: {
            items: 4,
         },
         768: {
            items: 3,
         },
         480: {
            items: 2,
         },
         320: {
            items: 2,
         },
      }
   }); 

   $("#partners-slider12").owlCarousel({
      items: 5,
      autoplay: 1500,
      smartSpeed: 2500,
      autoplayHoverPause: true,
      slideBy: 1,
      loop: true,
      margin: 30,
      dots: false,
      nav: true,
      responsive: {
         1200: {
            items: 5,
         },
         900: {
            items: 4,
         },
         768: {
            items: 3,
         },
         480: {
            items: 2,
         },
         320: {
            items: 1,
         },
      }
   });

   $("#partners-slider13").owlCarousel({
      items: 5,
      autoplay: 1500,
      smartSpeed: 2500,
      autoplayHoverPause: true,
      slideBy: 1,
      loop: true,
      margin: 30,
      dots: false,
      nav: true,
      responsive: {
         1200: {
            items: 5,
         },
         900: {
            items: 4,
         },
         768: {
            items: 3,
         },
         480: {
            items: 2,
         },
         320: {
            items: 1,
         },
      }
   });



   /*Wow Animations*/
   var wow = new WOW({
        boxClass: 'wow',
        animateClass: 'animated',
        offset: 0,
        mobile: false,
        live: true
    });
    new WOW().init();
});